/* #storelocatorwidget {} */

/* H1 Product Page Header */
h1 {
    font-family: Oswald, 'Lucida Grande', sans-serif;
}

#storelocatorwidget .p-header-products__title {
    font-size: 2.5rem;
    text-transform: uppercase;
    font-weight: 400;
    line-height: 1;
}

.p-header-products__title {
    font-size: 2.5rem;
    text-transform: uppercase;
    font-weight: 400;
    line-height: 1;
}

/* H1 Subheader/Product Subtitle */
.p-header-products__title-sub {
    font-size: 2.5rem;
}

/* Locator section wrapper */
#storelocatorwidget {
    border-radius: 2px;
}

#storelocator-search-bar {
    background: none;
    border-radius: 0;
}

/* Left columns store list spacing */
#storelocator-leftcolumn {
    padding: 0;
}

/* Left column store list item wrappers */
.storelocator-store {
    padding: 10px 15px;
    margin-bottom: 0;
    border-left: 2px solid #ffffff;
}

.storelocator-store-selected {
    margin-bottom: 0;
}

.storelocator-store.storelocator-store-selected {
    border-left: 2px solid #333;
}

/* Left column store listing content */
.storelocator-store p {
    margin: 0 0 0.2em 0;
    font-size: .9em;
}

/* On map store item popup boxes */



/* Popup box outer*/
#storelocatorwidget .mapboxgl-popup-content {
    border-radius: 3px;
    padding: 5px;
    font-weight: 300;
}

/* Popup box inner*/
.storelocator-scrollFix {
    max-width: 500px;
}

/* Header Font */
#storelocatorwidget .storelocator-scrollFix p.storelocator-storename {
    font-weight: 500;
}

/* Store P spacing */
.storelocator p {
    margin: 0 0 3px 0;
}

/* FA icons */
/* p.storelocator-phone span.fa.fa-fw.fa-phone {} */
/* p.storelocator-directions-map span.fa.fa-arrows{} */


/* Popup store text */
#storelocatorwidget .storelocator-scrollFix {

    p.storelocator-storename {
        font-size: 1.2em !important;
    }

    .storelocator-address {
        font-size: 1em;
        line-height: 1.1;
        margin-bottom: 6px;
    }

    .storelocator-phone {
        a {
            transition-duration: 0.3s;
            font-size: 1em;

            &:hover {
                color: #4b1e78;
            }
        }
    }

    .storelocator-url .storelocator-website {
        a {
            transition-duration: 0.3s;
            font-size: 1em;

            &:hover {
                color: #4b1e78;
            }
        }
    }

    .storelocator-distance {
        font-weight: normal;
        font-size: 1em;
        font-style: italic;
    }
}

/* Popup close button */
.mapboxgl-popup-close-button:hover {
    background-color: transparent;
}

@media screen and (min-width: 992px) {
    .storelocator-store {}

}

@media screen and (min-width: 768px) {
    .storelocator-store {}
}